import path from 'path';
import dotenv from 'dotenv';

export const config = dotenv.config({
  path: path.join(process.cwd(), '.env'),
}).parsed;

export const audioPath = path.join(process.cwd(), 'videos/asr_example.wav');
export const mySpeechText = path.join(process.cwd(), 'videos/my_speech_text.wav');
export const audioPath2 = path.join(process.cwd(), 'videos/asr_example2.wav');
export const blankAudioPath = path.join(process.cwd(), 'videos/blank.wav');

export const sleep = (ms: number) => new Promise((resolve) => setTimeout(resolve, ms));

const model_all = 'models/vosk-model-cn-0.22';
const model_small = 'models/vosk-model-small-cn-0.22';
export const MODEL_PATH = path.join(process.cwd(), model_small);
// export const MODEL_PATH = path.join(process.cwd(), model_all);
